FreeMat

- Main Page
- Related Pages

vtkMultiBlockDataGroupFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkMultiBlockDataGroupFilter is an M to 1 filter that merges multiple input into one multi-group dataset. It will assign each input to one group of the multi-group dataset and will assign each update piece as a sub-block. For example, if there are two inputs and four update pieces, the output contains two groups with four datasets each.

To create an instance of class vtkMultiBlockDataGroupFilter, simply invoke its constructor as follows

      obj = vtkMultiBlockDataGroupFilter

# Methods

The class vtkMultiBlockDataGroupFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMultiBlockDataGroupFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMultiBlockDataGroupFilter = obj.NewInstance ()`
- `vtkMultiBlockDataGroupFilter = obj.SafeDownCast (vtkObject o)`
- `obj.AddInput (vtkDataObject )` - Add an input of this algorithm. Note that these methods support old-style pipeline connections. When writing new code you should use the more general vtkAlgorithm::AddInputConnection(). See SetInput() for details.
- `obj.AddInput (int , vtkDataObject )` - Add an input of this algorithm. Note that these methods support old-style pipeline connections. When writing new code you should use the more general vtkAlgorithm::AddInputConnection(). See SetInput() for details.